import std/[options, times]
import uuids

type
  Artist* = object
    id*: UUID
    name*: string

  Album* = object
    id*: UUID
    name*: string
    year*: Option[int]
    trackTotal*: int

  MediaFile* = object
    id*: UUID
    name*: string
    discNumber*: int
    trackNumber*: Option[int]
    playCount*: int
    filePath*: string
    fileHash*: string
    metaInfoSource*: string
    dateAdded*: DateTime
    lastPlayed*: Option[DateTime]
    presentLocally*: bool
    comment*: string

  Tag* = object
    id*: UUID
    name*: string
    description*: string

  Playlist* = object
    id*: UUID
    userCreated*: bool
    name*: string
    mediaFileCount*: int
    copiedFromId*: Option[UUID]
    createdAt*: DateTime
    lastUsedAt*: DateTime

  Bookmark* = object
    id*: UUID
    name*: Option[string]
    userCreated*: bool
    playlistId*: UUID
    mediaFileId*: UUID
    playIndex*: int
    playTimeMs*: int
    createdAt*: DateTime
    lastUsedAt*: DateTime

  Image* = object
    id*: UUID
    url*: string
